<?php
/**
 * DokuWiki Image Detail Template for ubuntu-portal theme
 *
 * @author Vadim Nevorotin <malamut@ubuntu.ru>
 *
 * Based on default DokuWiki template
 *   @author Andreas Gohr <andi@splitbrain.org>
 */

# must be run from within DokuWiki
if (!defined('DOKU_INC')) die();

# Подгружаем дополнительные необходимые функции и данные
require_once(dirname(__FILE__).'/tpl_functions.php');
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="<?php echo $conf['lang']?>" lang="<?php echo $conf['lang']?>" dir="ltr">
<head>
	<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
	<?php echo tpl_favicon(array('favicon', 'mobile')) ?>
	<title>
		<?php echo nl2br(hsc(tpl_img_getTag('simple.title'))) ?> | <?php echo strip_tags($conf['title'])?>
	</title>
	<?php
	// Дополнительные начальные заголовки портала
	$ubuntu_portal->getFirstMetaheaders();
	// Основные заголовки DokuWiki
	tpl_metaheaders();
	// Дополнительные финальные заголовки
	$ubuntu_portal->getLastMetaheaders();
	?>
</head>

<body class="<?php echo $ubuntu_portal->getBodyClasses() ?>" id="__detail">
<div id="__container">
<!-- Document -->
<div>
	<!-- Page -->
	<div id="__page">
		<div id="__wrapper"><div>
			<!-- Header -->
			<?php include(PORTAL_DIR.'header.php') ?>
			<!-- /Header -->
			<!-- Main -->
			<div id="__main">
			<?php if($ERROR):
				print $ERROR;
			else: ?>
				<div id="__main-title">
					<h1>Файл <span><?php echo hsc(tpl_img_getTag('IPTC.Headline',$IMG))?></span></h1>
				</div>
				<div class="msgarea">
					<?php html_msgarea()?>
				</div>
				<div class="content clear">
					<div class="content-main dokuwiki">
						<div class="img_big">
							<?php tpl_img(850,700) ?>
						</div>

						<div class="img_detail">
							<p class="img_caption">
								<?php print nl2br(hsc(tpl_img_getTag('simple.title'))); ?>
							</p>

							<p><?php echo $lang['img_backto']?> <?php tpl_pagelink($ID)?></p>

							<?php
							    $imgNS = getNS($IMG);
							    $authNS = auth_quickaclcheck("$imgNS:*");
							    if ($authNS >= AUTH_UPLOAD) {
								echo '<p><a href="'.media_managerURL(array('ns' => $imgNS, 'image' => $IMG)).'">'.$lang['img_manager'].'</a></p>';
							    }
							?>

							<dl class="img_tags">
							<?php
							    $config_files = getConfigFiles('mediameta');
							    foreach ($config_files as $config_file) {
								if(@file_exists($config_file)) include($config_file);
							    }

							    foreach($fields as $key => $tag){
								$t = array();
								if (!empty($tag[0])) $t = array($tag[0]);
								if(is_array($tag[3])) $t = array_merge($t,$tag[3]);
								$value = tpl_img_getTag($t);
								if ($value) {
								    echo '<dt>'.$lang[$tag[1]].':</dt><dd>';
								    if ($tag[2] == 'date') echo dformat($value);
								    else echo hsc($value);
								    echo '</dd>';
								}
							    }
							?>
							</dl>
							<?php //Comment in for Debug// dbg(tpl_img_getTag('Simple.Raw'));?>
						</div>
					</div>
				</div>
				<div class="clearer"></div>
			<?php endif ?>
			</div>
			<!-- /Main -->
		</div></div>
		<!-- Footer -->
		<?php include(PORTAL_DIR.'footer.php') ?>
		<!-- /Footer -->
	</div>
	<div class="no"></div>
	<!-- /Page -->
</div>
<!-- /Document -->
</div>
</body>

</html>

