<?php
/**
 * Main DokuWiki Template for ubuntu-portal
 *
 * @license    GPL 3 (http://www.gnu.org/licenses/gpl.html)
 * @author     Vadim Nevorotin <malamut@ubuntu.ru>
 */

# must be run from within DokuWiki
if (!defined('DOKU_INC')) die();

# Подгружаем дополнительные необходимые функции и данные
require_once(dirname(__FILE__).'/tpl_functions.php');
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="<?php echo $conf['lang']?>" lang="<?php echo $conf['lang']?>" dir="<?php echo $lang['direction']?>"> 
<head> 
	<title><?php echo tpl_getTitle() ?> | <?php echo strip_tags($conf['title']) ?></title>
	<?php echo tpl_favicon(array('favicon', 'mobile')) ?>
	<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
	<?php
	// Дополнительные начальные заголовки портала
	$ubuntu_portal->getFirstMetaheaders();
	// Основные заголовки DokuWiki
	tpl_metaheaders();
	// Подгружаем дополнительные CSS для страницы из соответствующей ресурсу директории
	if (file_exists(dirname(__FILE__)."/pages-{$ubuntu_portal->res}/{$INFO['id']}.css")): ?>
		<link rel="stylesheet" type="text/css" href="<?php echo DOKU_TPL."pages-{$ubuntu_portal->res}/{$INFO['id']}.css" ?>"/> <?php
	endif;
	// Дополнительные финальные заголовки
	$ubuntu_portal->getLastMetaheaders();
	?>
</head>
<body class="<?php echo $ubuntu_portal->getBodyClasses() ?>">
<div id="__container">
<!-- Document -->
<div>
	<!-- Page -->
	<div id="__page">
		<div id="__wrapper"><div>
			<!-- Header -->
			<?php include(PORTAL_DIR.'header.php') ?>
			<!-- /Header -->
			<!-- Main -->
			<?php
			// Отдельный шаблон для всех действий, отличных от SHOW (http://www.dokuwiki.org/devel:action_modes)
			if ($ACT != 'show'):
				include(dirname(__FILE__)."/subtpls/actions.php");
			// Шаблоны для отдельных страниц
			elseif (file_exists(dirname(__FILE__)."/subtpls/pages-{$ubuntu_portal->res}/{$INFO['id']}.php")):
				@include(dirname(__FILE__)."/subtpls/pages-{$ubuntu_portal->res}/{$INFO['id']}.php");
			// Отдельный шаблон для пространства имён manual для help ресурса
			elseif ($ubuntu_portal->isActiveDokuNS('help','manual')):
				include(dirname(__FILE__)."/subtpls/manual.php");
			elseif ($ubuntu_portal->isActiveDokuNS('help','manual:next')):
				include(dirname(__FILE__)."/subtpls/manual.php");
			// Отдельный шаблон для пространства имён admin для team ресурса
			elseif ($ubuntu_portal->isActiveDokuNS('team','admin')):
				include(dirname(__FILE__)."/subtpls/admin.php");
			// Стандартный шаблон
			else: ?>
				<div id="__main">
					<div id="__main-title">
						<h1><?php
							// Имя ресурса
							echo $conf['title'];
							// Имя раздела - только если не корневой
							if (!empty($INFO['namespace']))
								echo ' <span>'.$ubuntu_portal->getTitle('', $INFO['namespace']).'</span>';
							?>
						</h1>
						<h2><?php echo tpl_getTitle() ?></h2>
					</div>
					<div class="msgarea">
						<?php html_msgarea()?>
					</div>
					<div class="content">
						<?php
						# TODO: добавить опцию шаблона и подправить CSS или просто нафиг убрать
						if (false): ?>
						<div class="content-menu">
							<ul>
								<li><a href="#" class="active">Статья</a></li>
								<li><a href="#">Обсуждение</a></li>
							</ul>
							<?php if($conf['breadcrumbs']): ?>
								<div class="breadcrumbs"><?php tpl_breadcrumbs() ?></div>
							<?php endif ?>
							<div class="clearer"></div>
						</div>
						<?php endif ?>
						<div class="content-main dokuwiki">
							<?php tpl_content()?>
						</div>
					</div>
					<div class="clearer"></div>
				</div>
			<?php endif ?>
			<!-- /Main -->
		</div></div>
		<!-- Footer -->
		<?php include(PORTAL_DIR.'footer.php') ?>
		<!-- /Footer -->
	</div>
	<div class="no"><?php tpl_indexerWebBug() //provide DokuWiki housekeeping, required in all templates ?></div>
	<!-- /Page -->
</div>
<!-- /Document -->
<!-- Control -->
<?php if (isset($INFO['userinfo']) and $ubuntu_portal->isDokuEditbar()): ?>
	<div id="__control_switcher">
		<a href="#editbar" onclick="return togglebar()"><span id="__control_text">Показать панель редактирования</span></a>
	</div>
<?php endif ?>
<?php if ($ubuntu_portal->isDokuEditbar()): ?>
	<div id="__control">
		<ul>
			<li><?php tpl_actionlink('edit')?></li>
			<li><?php tpl_actionlink('history')?></li>
			<li><?php tpl_actionlink('revert')?></li>
			<li><?php tpl_actionlink('backlink')?></li>
			<?php if ($INFO['writable']): ?>
				<li><?php echo tpl_link(wl($ID,'do=editx'),'Управление страницей','',1)?></li>
			<?php endif ?>
			<?php if (!isset($INFO['userinfo'])): ?>
				<li><?php tpl_actionlink('login')?></li>
			<?php endif ?>
		</ul>
		<?php if (isset($INFO['userinfo'])): ?>
			<div class="user dokuwiki">
				<?php tpl_extUserinfo() ?>
			</div>
		<?php endif ?>
		<ul>
			<li><?php tpl_actionlink('admin')?></li>
			<li><?php tpl_actionlink('subscribe')?></li>
			<li><?php tpl_actionlink('media')?></li>
			<li><?php tpl_actionlink('profile')?></li>
			<li><?php tpl_actionlink('index')?></li>
			<li><?php tpl_actionlink('recent')?></li>
		</ul>
		<div class="clearer"></div>
	</div>
<?php endif ?>
<!-- /Control -->
</div>
</body>

</html>
