<?php
/**
 * DokuWiki Template for ubuntu-portal
 *
 * This is the template for the media manager popup
 *
 * @author Andreas Gohr <andi@splitbrain.org>
 * @author Vadim Nevorotin <malamut@ubuntu.ru>
 */
 
# must be run from within DokuWiki
if (!defined('DOKU_INC')) die();

# Подгружаем дополнительные необходимые функции и данные
require_once(dirname(__FILE__).'/tpl_functions.php');
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="<?php echo $conf['lang']?>" lang="<?php echo $conf['lang']?>" dir="ltr">
<head>
  <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
  <link rel="shortcut icon" href="<?php echo DOKU_TPL?>images/favicon.ico" />
  <title>
    <?php echo hsc($lang['mediaselect'])?> | <?php echo strip_tags($conf['title'])?>
  </title>
  <?php
	// Дополнительные начальные заголовки портала
	$ubuntu_portal->getFirstMetaheaders();
	// Основные заголовки DokuWiki
	tpl_metaheaders();
	// Дополнительные финальные заголовки
	$ubuntu_portal->getLastMetaheaders();
  ?>
</head>

<body>
<div id="media__manager" class="dokuwiki">
		<div id="media__left">
			<div>
				<h1><?php echo hsc($lang['mediaselect'])?></h1>
				<div class="msgarea">
					<?php html_msgarea()?>
				</div>
				<?php /* keep the id! additional elements are inserted via JS here */ ?>
				<div id="media__opts"></div>

				<?php tpl_mediaTree() ?>
			</div>
		</div>
		<div id="media__right">
		    <?php tpl_mediaContent() ?>
		</div>
</div>
</body>
</html>
